| Irrlicht 3D Engine |

Public Member Functions
irr::IOSOperator Class Reference

The Operating system operator provides operation system specific methods and informations. More...

`#include <IOSOperator.h>`

Inheritance diagram for irr::IOSOperator:

List of all members.

## Public Member Functions

- virtual void copyToClipboard (const c8 *text) const =0
    Copies text to the clipboard.
- virtual const core::stringc & getOperatingSystemVersion () const =0
    Get the current operation system version as string.
- _IRR_DEPRECATED_ const wchar_t * getOperationSystemVersion () const
    Get the current operation system version as string.
- virtual bool getProcessorSpeedMHz (u32 *MHz) const =0
    Get the processor speed in megahertz.
- virtual bool getSystemMemory (u32 *totalBytes, u32 *availableBytes) const =0
    Get the total and available system RAM.
- virtual const c8 * getTextFromClipboard () const =0
    Get text from the clipboard.

## Detailed Description

The Operating system operator provides operation system specific methods and informations.

Definition at line 15 of file IOSOperator.h.

## Member Function Documentation

virtual void irr::IOSOperator::copyToClipboard | ( | const c8 * | text | ) | const`[pure virtual]`

Copies text to the clipboard.

virtual const core::stringc& irr::IOSOperator::getOperatingSystemVersion | ( |  | ) | const`[pure virtual]`

Get the current operation system version as string.

Referenced by getOperationSystemVersion().

_IRR_DEPRECATED_ const wchar_t* irr::IOSOperator::getOperationSystemVersion | ( |  | ) | const`[inline]`

Get the current operation system version as string.

Deprecated:
  Use getOperatingSystemVersion instead. This method will be removed in Irrlicht 1.9.

Definition at line 23 of file IOSOperator.h.

References getOperatingSystemVersion().

virtual bool irr::IOSOperator::getProcessorSpeedMHz | ( | u32 * | MHz | ) | const`[pure virtual]`

Get the processor speed in megahertz.

Parameters:

  MHz | The integer variable to store the speed in.

Returns:
  True if successful, false if not

virtual bool irr::IOSOperator::getSystemMemory | ( | u32 * | totalBytes,
|  | u32 * | availableBytes
| ) |  | const`[pure virtual]`

Get the total and available system RAM.

Parameters:

  totalBytes,: | will contain the total system memory in bytes
  availableBytes,: | will contain the available memory in bytes

Returns:
  True if successful, false if not

virtual const c8* irr::IOSOperator::getTextFromClipboard | ( |  | ) | const`[pure virtual]`

Get text from the clipboard.

Returns:
  Returns 0 if no string is in there.

The documentation for this class was generated from the following file:

- IOSOperator.h